function savelpp
% SAVELPP   Saving the LPP model in workspace into a MAT/LPP file.

% Yin Zhang, July 1995, Dept Math/Stat, UMBC

global NAME vlp
if isempty(NAME) error('No model to save'); end

ans = '';
ans=input(['Save to matdir/' NAME '.mat? ([y]/n) '],'s');
if isempty(ans) ans = 'y'; end;
if lower(ans(1)) == 'y'
   if ~exist('/tmp/default.mat') error('No MAT-file to save'); end
   unix(['/bin/cp /tmp/default.mat ../matdir/' NAME '.mat']);
   return;
end

if isempty(vlp) error('No LPP-file to save'); end
ans=input('Enter LPP-file name (empty for default): ', 's');
if ~isempty(ans) LPPNAME = ans; else LPPNAME = NAME; end
if isempty(findstr('.lpp',LPPNAME)) LPPNAME = [LPPNAME '.lpp']; end
LPPNAME = ['../lppdir/' LPPNAME];

fid = fopen(LPPNAME,'w');
if fid  == -1 error(['Cannot open file ' LPPNAME]); end
for i = 1:size(vlp,1)
  str = find(vlp(i,:) ~= ' ' & vlp(i,:) ~= 0);
  str = vlp(i,1:str(length(str)));
  fprintf(fid,'%s\n' , str);
end
fclose(fid);
